[data-component-id="incmty:icon_cards"] {
  background-color: var(--bg-color);
  padding: 48px 16px;
  text-align: center;

  .icon-title-container > * + * {
    padding-top: 16px;
  }

  * + .field--name-field-items {
    margin-top: 24px;
  }

  .icon-card {
    background-color: #FFF;
    border-radius: 24px;
    padding: 16px 32px;
    height: calc(100% - 32px);

    .field--name-field-media-image img {
      height: 80px;
      width: auto;
    }

    .title {
      font-weight: 700;
      font-size: 16px;
      line-height: 22px;
    }

    * + .h1,
    * + .title,
    * + .description {
      margin-top: 16px;
    }

    hr + * {
      margin: 0;
    }
  }

  .field--name-field-items {
    display: flex;
    flex-direction: column;
    gap: 24px;
  }

  &.watch-me-slide {
    .field--name-field-items {
      display: block;
      margin: 0;
      margin-bottom: 52px;

      img {
        margin: auto;
      }

      > * {
        max-width: none;
        flex: none;
      }

      .slick-list {
        margin-left: -16px;
        margin-right: -16px;
        margin-bottom: 74px;

        .slick-track {
          display: flex;
        }

        .slick-slide {
          height: inherit;
          padding-left: 16px;
          padding-right: 8px;
          outline: 0;
          box-shadow: none;
        }
      }

      .slick-prev, 
      .slick-next {
        outline: 0;
        box-shadow: none;
        transform: none;
        top: auto;
        left: calc(50% - 60px);
        bottom: -72px;
        height: 48px;
        width: 48px;

        &::before {
          content: '';
          position: absolute;
          right: 0;
          top: 50%;
          transform: translateY(-50%);
          border-radius: 48px;
          height: 48px;
          width: 48px;
          border: 2px solid var(--text-color);
          transition: all 0.3s ease;
        }

        &::after {
          content: '';
          position: absolute;
          top: 50%;
          right: 0;
          display: inline-block;
          transform: translateY(-50%);
          width: 54px;
          height: 48px;
          mask-size: 32px;
          mask-position: center;
          mask-repeat: no-repeat;
          mask-image: url(/themes/custom/incmty/images/svg/chevron-left.svg);
          background-image: none;
          background-color: var(--text-color);
          transition: all 0.3s ease;
        }
      }

      .slick-next {
        right: calc(50% - 60px);
        left: auto;

        &::after {
          width: 48px;
          mask-image: url(/themes/custom/incmty/images/svg/chevron-right.svg)
        }
      }
    }

    * + .field--name-field-items {
      margin-top: 24px;
    }
  }

  &.base .white {
    --divider-color: #122CDE;
  }

  &.heineken.white,
  &.heineken .white,
  &.heineken.gray,
  &.heineken .gray {
    --text-color: #005D11;
    --heading-color: #005D11;
    --link-text-color: #122CDE;
    --button-text-color: #FFF;
    --button-bg-color: #005D11;
    --divider-color: #A1E005;
    --bg-color: #FFFFFF;

    .slick-prev,
    .slick-next {
      &::before {
        background-color: #005D11;
      }

      &:not(.slick-disabled)::before {
        opacity: 1;
      }

      &::after{
        background-color: #FFF;
      }
    }
  }

  &.heineken.gray {
    --bg-color: #F2F2F2;
  }
}

@media only screen and (min-width: 1280px) {
  [data-component-id="incmty:icon_cards"] {
    padding: 96px;

    * + .field--name-field-items {
      margin-top: 32px;
    }

    .field--name-field-items {
      flex-direction: row;
      flex-wrap: wrap;

      > * {
        max-width: calc(25% - 18px);
        flex: 1 1 calc(25% - 24px);
      }
    }

    &.watch-me-slide {
      .field--name-field-items {
        margin-bottom: 0;

        .slick-list {
          margin: 0 72px;
        }

        .slick-prev,
        .slick-next {
          top: 50%;
          left: 0;
        }

        .slick-next {
          left: auto;
          right: 0;
        }
      }
    }
  }
}